Skip to main content
PUT
/
attributes
/
$
{property}
cURL
curl -X PUT https://api.growthbook.io/api/v1/attributes/property \
   -d '{ "description": "My updated attribute" }' \
  -u secret_abc123DEF456:
{
  "attribute": {
    "property": "<string>",
    "datatype": "boolean",
    "description": "<string>",
    "hashAttribute": true,
    "archived": true,
    "enum": "<string>",
    "format": "",
    "projects": [
      "<string>"
    ],
    "tags": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
  -H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

property
string
required

The attribute property

Body

application/json
datatype
enum<string>

The attribute datatype

Available options:
boolean,
string,
number,
secureString,
enum,
string[],
number[],
secureString[]
description
string

The description of the new attribute

archived
boolean

The attribute is archived

hashAttribute
boolean

Shall the attribute be hashed

enum
string
format
enum<string>

The attribute's format

Available options:
,
version,
date,
isoCountryCode
projects
string[]
tags
string[]

Response

200 - application/json

Success

attribute
object
required